#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {


  string Statistics::print (uint32_t depth)
  {
    log_printf(FUNC,Select_Priority_Fixed,"print","Begin");

    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << tab << "<select_priority_fixed name=\"" << _name << "\" >" << endl
        << print_body(depth+1) << endl
	<< tab << "</select_priority_fixed>" << endl;
    
    log_printf(FUNC,Select_Priority_Fixed,"print","End");

    return msg.str();
  };

  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::generic::select::select_priority_fixed::Statistics & x)
  {
    output_stream << x.print(0);

    return output_stream;
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
